package com.sfeir.gwt.webding.client.component.menu;

import com.google.gwt.user.client.ui.AbstractImagePrototype;

/**
 * Une entree de menu qui permet de demarer un processus
 * 
 *
 */
public class ItemGroup extends Item {

    public static final String TYPE = "group";
    /**
     * 
     */
    private static final long serialVersionUID = 7951955050127004088L;
    
    public ItemGroup(String label) {
        super(label, null, TYPE);
    }
    
    public ItemGroup(String label, String icon) {
        super(label, null, TYPE, icon);
    }
    
    public ItemGroup(String label, AbstractImagePrototype icon) {
        super(label, null, TYPE, icon);
    }
    
    @Override
    public void exec() {
        // Do nothing
    }
}
