package com.sfeir.gwt.webding.client.showcase;

import com.google.gwt.user.client.ui.Widget;
import com.sfeir.gwt.webding.client.component.menu.Menu;
import com.sfeir.gwt.webding.client.showcase.ShowcaseAnnotations.ShowcaseSource;


public class TabFilterMenu extends LazyTab {
    /**
     * 
     */
    @ShowcaseSource
    protected Widget createTab() {
        Menu menu = new Menu(true, true);
        menu.setWidth("250px");
        menu.setHeight("500px");
        menu.setSearchBarEnabled(true);
        menu.setFilterEnabled(true);
        buildSampleMenu(menu);
        return menu;
    }

    @Override
    public String getDescription() {
        return "Menu filtrable : options setFilterEnabled(true);";
    }

    @Override
    public String getName() {
        return "Menu filtrable";
    }
}